%define build_test 0

# commandline overrides:
# rpm -ba|--rebuild --with 'xxx'
%{?_with_test: %{expand: %%global build_test 1}}
%{?_without_test: %{expand: %%global build_test 0}}

%define their_version 3.5.27

## Redefine configure values.
%define	_bindir %{_prefix}/sbin
%define _libexecdir %{_libdir}/squid
%define _initrddir /etc/rc.d/init.d/
%define _sysconfdir /etc/squid
%define  _localstatedir /var
%define _datadir %{_usr}/share/squid
%define _mandir %{_usr}/share/man
%define _infodir %{_usr}/share/info

%define defaultmaxfiles 8192

Summary:	The Squid proxy caching server
Name:		squid
Version:	%{their_version}
%define subrel	2
Release:	%mkrel 1
License:	GPLv2
Group:		System/Servers
URL:		http://www.squid-cache.org/
Source0:	http://www.squid-cache.org/Versions/v3/3.5/squid-%{their_version}.tar.xz
Source1:	http://www.squid-cache.org/Versions/v3/3.5/squid-%{their_version}.tar.xz.asc
Source2:	http://www.squid-cache.org/Doc/FAQ/FAQ.tar.bz2
Source3:	squid.init
Source4:	squid.logrotate
Source5:	squid.conf.authenticate
Source6:	smb.conf
Source7:	squid.conf.transparent
Source8:	rc.firewall
Source9:	ERR_CUSTOM_ACCESS_DENIED.English
Source10:	ERR_CUSTOM_ACCESS_DENIED.French
Source11: 	squid.sysconfig
Source12:	squid.pam-0.77
Source13:	squid.pam
Source14:	squid.ifup
Patch1:		squid-config.diff
Patch2:		squid-user_group.diff
Patch3:		squid-ssl.diff
Patch11:	squid-shutdown_lifetime.diff
Patch13:	squid-errordir.diff
Patch16:	squid-3.5.5-mysql-helper-joomla.diff
Patch18:	squid-3.5.5-purge.diff
Patch19:	squid-3.4.9-configure-egrep.patch
Patch20:	SQUID-2018_1.patch
Patch21:	SQUID-2018_2.patch
Patch22:	squid-3.5-bc9786119f058a76ddf0625424bc33d36460b9a2.patch
Patch23:	squid-3.5-f1657a9decc820f748fa3aff68168d3145258031.patch
Patch24:	squid-3.5-be1dc8614e7514103ba84d4067ed6fd15ab8f82e.patch
Patch301:	squid-getconf_mess.diff
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	bzip2
BuildRequires:	libtool-devel
BuildRequires:	db-devel
BuildRequires:	libsasl-devel
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	libtool
BuildRequires:	krb5-devel
BuildRequires:	ecap-devel
BuildRequires:	cap-devel
BuildRequires:	samba-winbind
%if %{build_test}
BuildRequires:	cppunit-devel
%endif
Provides:	webproxy

%description
Squid is a high-performance proxy caching server for web clients, supporting 
FTP, gopher, and HTTP data objects over IPv4 or IPv6. Unlike traditional 
caching software, Squid handles all requests in a single, non-blocking, 
asynchronous process.
Squid keeps meta data and especially hot objects cached in RAM, caches DNS 
lookups, supports non-blocking DNS lookups, and implements negative caching 
of failed requests.  Squid supports SSL, extensive access controls, and full 
request logging. By using the lightweight Internet Cache Protocol (ICP) and 
HTTP Cache Protocol (HTCP) Squid caches can be arranged in a hierarchy or 
mesh for additional bandwidth savings.

Install squid if you need a proxy caching server.

This package defaults to a maximum of %{defaultmaxfiles} filedescriptors. You
can change these values at build time by using for example:

--define 'maxfiles 4096'

The package was built to support a maximum of %{?!maxfiles:%{defaultmaxfiles}}%{?maxfiles:%{maxfiles}} filedescriptors.

You can build %{name} with some conditional build swithes;

(ie. use with rpm --rebuild):
    --with[out]	test	Initiate the test suite

%package	cachemgr
Summary:	The Squid Cache Manager
Group:		System/Servers
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache >= 2.0.54
Requires(pre):	%{name} = %{version}
Requires:	apache >= 2.0.54
Requires:	%{name} = %{version}

%description	cachemgr
This package contains the Squid Cache Manager.


%prep

%setup -q -n squid-%{their_version}

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS`  `find . -type d -name .svn` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done


%patch1 -p1 -b .config
%patch2 -p0 -b .user_group
%patch3 -p1 -b .ssl
%patch11 -p0 -b .shutdown_lifetime
%patch13 -p1 -b .errordir
%patch16 -p1 -b .joomla
%patch18 -p1 -b .purge-paths
%patch19 -p1 -b .egrep
%patch20 -p1 -b .SQUID-2018_1
%patch21 -p1 -b .SQUID-2018_2
%patch22 -p1 -b .SQUID-2018_3
%patch23 -p1 -b .SQUID-2018_4
%patch24 -p1 -b .SQUID-2019_1

mkdir -p faq
tar -jxf %{SOURCE2} -C faq

install -m 0755 %{SOURCE3} squid.init
install -m 0644 %{SOURCE4} squid.logrotate
install -m 0644 %{SOURCE5} squid.conf.authenticate
install -m 0644 %{SOURCE6} smb.conf
install -m 0644 %{SOURCE7} squid.conf.transparent
install -m 0755 %{SOURCE8} rc.firewall
install -m 0644 %{SOURCE11} squid.sysconfig
install -m 0755 %{SOURCE14} squid.ifup

# fix conditional pam config file
install -m 0644 %{SOURCE13} squid.pam

perl -p -i -e "s|^SAMBAPREFIX.*|SAMBAPREFIX = /usr|" helpers/basic_auth/SMB/Makefile.*
grep -r "local/bin/perl" . |sed -e "s/:.*$//g" | xargs perl -p -i -e "s@local/bin/perl@bin/perl@g"

# libtool
perl -pi -e "s|AC_PROG_RANLIB|AC_PROG_LIBTOOL|g" configure*

%build

%serverbuild
rm -rf configure autom4te.cache

sh ./bootstrap.sh

export SSLLIB="-L%{_libdir} `pkg-config --libs openssl`"
export CPPFLAGS="-I%{_includedir}/openssl -I`find /usr/include -type f -name db_185.h|head -n1|xargs dirname` $RPM_OPT_FLAGS "

%ifarch x86_64
export CFLAGS="$CFLAGS -I`find /usr/include -type f -name db_185.h|head -n1|xargs dirname` -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
export CXXFLAGS="$CXXFLAGS -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
%else
export CFLAGS="$CFLAGS -I`find /usr/include -type f -name db_185.h|head -n1|xargs dirname` -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"
export CXXFLAGS="$CXXFLAGS -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"
%endif

%configure2_5x \
    --disable-arch-native \
    --enable-shared=no \
    --enable-static=no \
    --enable-xmalloc-statistics \
    --enable-carp \
    --enable-async-io \
    --enable-storeio="aufs,diskd,ufs" \
    --enable-removal-policies="heap,lru" \
    --enable-icmp \
    --enable-delay-pools \
    --disable-esi \
    --enable-icap-client \
    --enable-ecap \
    --enable-useragent-log \
    --enable-referer-log \
    --enable-wccp \
    --enable-wccpv2 \
    --disable-kill-parent-hack \
    --enable-snmp \
    --enable-cachemgr-hostname="localhost" \
    --enable-arp-acl \
    --enable-htcp \
    --enable-ssl \
    --enable-ssl-crtd \
    --enable-forw-via-db \
    --enable-follow-x-forwarded-for \
    --enable-cache-digests \
    --disable-poll \
    --enable-epoll \
    --enable-linux-netfilter \
    --disable-ident-lookups \
    --enable-default-hostsfile=/etc/hosts \
    --enable-auth \
    --enable-auth-basic="DB,fake,getpwnam,LDAP,MSNT-multi-domain,NCSA,NIS,PAM,POP3,RADIUS,SASL,SMB" \
    --enable-auth-ntlm="fake,smb_lm" \
    --enable-auth-negotiate="kerberos,wrapper" \
    --enable-auth-digest="eDirectory,file,LDAP" \
    --enable-external-acl-helpers="eDirectory_userip,file_userip,kerberos_ldap_group,LDAP_group,session,unix_group,wbinfo_group" \
    --enable-storeid-rewrite-helpers="file" \
    --with-default-user=%{name} \
    --with-pthreads \
    --with-dl \
    --with-openssl=%{_prefix} \
    --with-large-files \
    --with-swapdir=%{_localstatedir}/spool/squid \
    --with-build-environment=default \
    --enable-mit=`/usr/bin/krb5-config --prefix` \
    --with-logdir=%{_logdir}/squid \
    --enable-http-violations \
    --enable-zph-qos \
    %{?!maxfiles:--with-filedescriptors=%{defaultmaxfiles}}%{?maxfiles:%{maxfiles}}


#    --enable-disk-io="AIO,Blocking,DiskDaemon,DiskThreads" \

# Some versions of autoconf fail to detect sys/resource.h correctly;
# apparently because it generates a compiler warning.

if [ -e /usr/include/sys/resource.h ]; then
cat >> include/autoconf.h <<EOF
#ifndef HAVE_SYS_RESOURCE_H
#define HAVE_SYS_RESOURCE_H 1
#define HAVE_STRUCT_RUSAGE 1
#endif
EOF
fi

%make

%if %{build_test}
%check
make check
%endif

%install
%makeinstall_std

# make some directories
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}/etc/{logrotate.d,pam.d,sysconfig}
install -d %{buildroot}/etc/sysconfig/network-scripts/ifup.d
install -d %{buildroot}/etc/httpd/conf/webapps.d
install -d %{buildroot}%{_datadir}/{errors,icons}
install -d %{buildroot}%{_datadir}/errors/{English,French}
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}%{_var}/www/cgi-bin
install -d %{buildroot}%{_var}/log/squid
install -d %{buildroot}%{_var}/spool/squid
install -d %{buildroot}/usr/share/snmp/mibs

# fix error docs location	
rm -rf %{buildroot}%{_sysconfdir}/errors
pushd errors
    for i in *; do
	if [ -d $i ]; then
	    install -d %{buildroot}%{_datadir}/errors/$i
	    install -m0644 $i/* %{buildroot}%{_datadir}/errors/$i
	fi
    done
popd
ln -fs %{_datadir}/errors/templates %{buildroot}%{_sysconfdir}/errors

# install config
install -m0755 squid.init %{buildroot}%{_initrddir}/squid
install -m0644 squid.logrotate %{buildroot}/etc/logrotate.d/squid
install -m0644 squid.sysconfig %{buildroot}/etc/sysconfig/squid
install -m0755 squid.ifup %{buildroot}/etc/sysconfig/network-scripts/ifup.d/squid

# fix docs
cp helpers/basic_auth/SASL/basic_sasl_auth.conf .

cp helpers/external_acl/file_userip/example.conf ip_user_external_acl.example.conf
cp helpers/external_acl/file_userip/example-deny_all_but.conf ip_user_external_acl.example-deny_all_but.conf

cp helpers/external_acl/LDAP_group/ChangeLog ChangeLog.ldap_group_external_acl

head -19 helpers/basic_auth/NCSA/basic_ncsa_auth.cc > README.NCSA_basic_auth
head -56 helpers/basic_auth/PAM/basic_pam_auth.cc > README.PAM_basic_auth
head -21 helpers/basic_auth/getpwnam/basic_getpwnam_auth.cc > README.getpwnam_basic_auth
head -32 helpers/digest_auth/LDAP/digest_pw_auth.cc > README.ldap_digest_auth

install -m0755 helpers/basic_auth/SMB/basic_smb_auth.sh %{buildroot}%{_libexecdir}
install -m0755 helpers/basic_auth/SASL/basic_sasl_auth %{buildroot}%{_libexecdir}

for manpage in `find -name "*.8"`; do
    install -m0644 $manpage %{buildroot}/%{_mandir}/man8/
done

install -m 0644 %{SOURCE9} %{buildroot}%{_datadir}/errors/English/ERR_CUSTOM_ACCESS_DENIED
install -m 0644 %{SOURCE10} %{buildroot}%{_datadir}/errors/French/ERR_CUSTOM_ACCESS_DENIED

install -m644 squid.pam %{buildroot}/etc/pam.d/squid

# move the mib in-place
mv %{buildroot}%{_datadir}/mib.txt %{buildroot}/usr/share/snmp/mibs/SQUID.txt

# move cachemgr.cgi to a more safe location
mv %{buildroot}%{_libexecdir}/cachemgr.cgi %{buildroot}%{_var}/www/cgi-bin/

# provide a simple apache config
cat > %{buildroot}/etc/httpd/conf/webapps.d/squid-cachemgr.conf << EOF
<Location /cgi-bin/cachemgr.cgi>
%if %{mgaversion} < 3
    Order deny,allow
    Deny from all
    Allow from 127.0.0.1
%endif
%if %{mgaversion} >= 3
    Require local granted
%endif
    ErrorDocument 403 "Access denied per /etc/httpd/conf/webapps.d/squid-cachemgr.conf"
</Location>
EOF

# some cleaning
rm -f %{buildroot}%{_libdir}/squid/no_check.pl

# nuke zero length files
find %{buildroot}%{_datadir}/errors/ -type f -size 0 -exec rm -f {} \;

%pre
%_pre_useradd squid %{_var}/spool/squid /bin/false

for i in %{_var}/log/squid %{_var}/spool/squid ; do
        if [ -d $i ] ; then
                for adir in `find $i -maxdepth 0 \! -user squid`; do
                        chown -R squid:squid $adir
                done
        fi
done

%post
%_create_ssl_certificate squid

%_post_service squid
 case "$LANG" in
  az*)
     DIR=Azerbaijani
     ;;
  bg*)
     DIR=Bulgarian
     ;;
  ca*)
     DIR=Catalan
     ;;
  cs*)
     DIR=Czech
     ;;
  da*)
     DIR=Danish
     ;;
  nl*)
     DIR=Dutch
     ;;
  en*)
     DIR=English
     ;;
  ea*)
     DIR=Estonian
     ;;
  fi*)
     DIR=Finnish
     ;;
  fr*)
     DIR=French
     ;;
  de*)
     DIR=German
     ;;
  el*)
     DIR=Greek
     ;;
  he*)
     DIR=Hebrew
     ;;
  hu*)
     DIR=Hungarian
     ;;
  it*)
     DIR=Italian
     ;;
  ja*)
     DIR=Japanese
     ;;
  kr*)
     DIR=Korean
     ;;
  lt*)
     DIR=Lithuanian
     ;;
  pl*)
     DIR=Polish
     ;;
  pt*)
     DIR=Portuguese
     ;;
  ro*)
     DIR=Romanian
     ;;
  ru*)
     DIR=Russian-koi8-r
     ;;
  sr*)
     DIR=Serbian
     ;;
  sk*)
     DIR=Slovak
     ;;
  es*)
     DIR=Spanish
     ;;
  sv*)
     DIR=Swedish
     ;;
  zh*)
     DIR=Traditional_Chinese
     ;;
  tr*)
     DIR=Turkish
     ;;
  *)
     DIR=English
     ;;
 esac

%preun
%_preun_service squid
if [ $1 = 0 ] ; then
	rm -f %{_var}/log/squid/*
        /sbin/chkconfig --del squid
fi

%postun
%_postun_userdel squid

%files
%doc faq/* C* R* Q* rc.firewall *.conf* doc/*.txt
%exclude %{_sysconfdir}/cachemgr.conf
%dir %_sysconfdir
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/*.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/*.default
%attr(0644,root,root) %config(noreplace) /etc/pam.d/squid
%attr(0644,root,root) %config(noreplace) /etc/sysconfig/squid
%attr(0644,root,root) %config(noreplace) /etc/logrotate.d/squid
%attr(0755,root,squid) %config(noreplace) /etc/sysconfig/network-scripts/ifup.d/squid
%attr(0755,root,squid) %{_initrddir}/squid
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/*.css
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/*.documented
%{_sysconfdir}/errors
%{_datadir}/errors
%{_datadir}/icons
%{_libexecdir}/diskd
%{_libexecdir}/unlinkd
%attr(0755,root,squid) %{_libexecdir}/cert_tool
%attr(0755,root,squid) %{_libexecdir}/cert_valid.pl
%attr(0755,root,squid) %{_libexecdir}/digest_edirectory_auth
%attr(0755,root,squid) %{_libexecdir}/digest_ldap_auth
%attr(0755,root,squid) %{_libexecdir}/digest_file_auth
%attr(0755,root,squid) %{_libexecdir}/basic_fake_auth
%attr(0755,root,squid) %{_libexecdir}/basic_getpwnam_auth
#%%attr(0755,root,squid) %%{_libexecdir}/basic_msnt_auth
%attr(0755,root,squid) %{_libexecdir}/basic_ncsa_auth
%attr(0755,root,squid) %{_libexecdir}/basic_pam_auth
%attr(4755,root,squid) %{_libexecdir}/pinger
%attr(0755,root,squid) %{_libexecdir}/basic_pop3_auth
%attr(0755,root,squid) %{_libexecdir}/basic_sasl_auth
%attr(0755,root,squid) %{_libexecdir}/basic_smb_auth
%attr(0755,root,squid) %{_libexecdir}/basic_smb_auth.sh
%attr(0755,root,squid) %{_libexecdir}/basic_db_auth
%attr(0755,root,squid) %{_libexecdir}/basic_ldap_auth
%attr(0755,root,squid) %{_libexecdir}/basic_radius_auth
%attr(0755,root,squid) %{_libexecdir}/ext_edirectory_userip_acl
%attr(0755,root,squid) %{_libexecdir}/ext_file_userip_acl
%attr(0755,root,squid) %{_libexecdir}/ext_kerberos_ldap_group_acl
%attr(0755,root,squid) %{_libexecdir}/ext_ldap_group_acl
%attr(0755,root,squid) %{_libexecdir}/ext_session_acl
%attr(0755,root,squid) %{_libexecdir}/ext_unix_group_acl
%attr(0755,root,squid) %{_libexecdir}/storeid_file_rewrite
%attr(0755,root,squid) %{_libexecdir}/negotiate_kerberos_auth
%attr(0755,root,squid) %{_libexecdir}/negotiate_kerberos_auth_test
%attr(0755,root,squid) %{_libexecdir}/ntlm_smb_lm_auth
%attr(0755,root,squid) %{_libexecdir}/basic_msnt_multi_domain_auth
%attr(0755,root,squid) %{_libexecdir}/basic_nis_auth
%attr(0755,root,squid) %{_libexecdir}/ext_wbinfo_group_acl
%attr(0755,root,squid) %{_libexecdir}/helper-mux.pl
%attr(0755,root,squid) %{_libexecdir}/log_file_daemon
%attr(0755,root,squid) %{_libexecdir}/negotiate_wrapper_auth
%attr(0755,root,squid) %{_libexecdir}/ntlm_fake_auth
%attr(0755,root,squid) %{_libexecdir}/url_fake_rewrite
%attr(0755,root,squid) %{_libexecdir}/url_fake_rewrite.sh
%attr(0755,root,squid) %{_libexecdir}/log_db_daemon
%attr(0755,root,squid) %{_libexecdir}/ssl_crtd

%{_sbindir}/*
%attr(0644,root,root) %{_mandir}/man8/*
%attr(0644,root,root) %{_mandir}/man1/*
%attr(0755,squid,squid) %dir %{_var}/log/squid
%attr(0755,squid,squid) %dir %{_var}/spool/squid
%attr(0644,root,squid) /usr/share/snmp/mibs/SQUID.txt

%files cachemgr
%attr(0644,root,root) %config(noreplace) /etc/httpd/conf/webapps.d/squid-cachemgr.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/cachemgr.conf
%attr(0755,root,squid) %{_var}/www/cgi-bin/cachemgr.cgi


%changelog
* Wed Sep 04 2019 bcornec <bcornec> 3.5.27-1.2.mga6
+ Revision: 1437094
- Fix CVE-2019-13345 for mga6
- Update to upstream 3.5.27 and fixes CVE-2019-1252[59]
- Fix mga#23780 by using 2 upstream patches
+ luigiwalser <luigiwalser>
- add upstream patches to fix SQUID-2018:1 and SQUID-2018:2

* Fri Jun 02 2017 luigiwalser <luigiwalser> 3.5.26-1.mga6
+ Revision: 1105826
- 3.5.26

* Mon Apr 03 2017 luigiwalser <luigiwalser> 3.5.25-1.mga6
+ Revision: 1095782
- 3.5.25

* Sun Jan 29 2017 luigiwalser <luigiwalser> 3.5.24-1.mga6
+ Revision: 1083904
- 3.5.24

* Sat Dec 17 2016 luigiwalser <luigiwalser> 3.5.23-1.mga6
+ Revision: 1075813
- 3.5.23

* Sat Dec 10 2016 ngompa <ngompa> 3.5.22-2.mga6
+ Revision: 1074117
- Remove unneeded %%pretrans

* Mon Oct 10 2016 luigiwalser <luigiwalser> 3.5.22-1.mga6
+ Revision: 1059988
- 3.5.22

* Fri Sep 09 2016 luigiwalser <luigiwalser> 3.5.21-1.mga6
+ Revision: 1050935
- 3.5.21

* Tue Jul 05 2016 luigiwalser <luigiwalser> 3.5.20-1.mga6
+ Revision: 1039031
- 3.5.20

* Mon May 23 2016 bcornec <bcornec> 3.5.19-2.mga6
+ Revision: 1017906
- bum mkrel for rebuild
- Fix #18269 fir squid with a buggy startup script

* Mon May 09 2016 luigiwalser <luigiwalser> 3.5.19-1.mga6
+ Revision: 1011266
- 3.5.19

* Fri May 06 2016 luigiwalser <luigiwalser> 3.5.18-1.mga6
+ Revision: 1010071
- 3.5.18 (fixes CVE-2016-455[3-6])

* Thu Apr 21 2016 luigiwalser <luigiwalser> 3.5.17-1.mga6
+ Revision: 1004059
- 3.5.17 (fixes CVE-2016-4051)

* Mon Apr 04 2016 luigiwalser <luigiwalser> 3.5.16-1.mga6
+ Revision: 998431
- 3.5.16 (fixes CVE-2016-3947 and CVE-2016-3948)
- remove upstream patches

* Mon Mar 14 2016 luigiwalser <luigiwalser> 3.5.15-4.mga6
+ Revision: 990731
- fix scriplet to fix upgrade from mga5

* Mon Mar 14 2016 luigiwalser <luigiwalser> 3.5.15-3.mga6
+ Revision: 990658
- add upstream patches to fix crashes

* Thu Mar 03 2016 umeabot <umeabot> 3.5.15-2.mga6
+ Revision: 984135
- Rebuild for openssl

* Wed Feb 24 2016 luigiwalser <luigiwalser> 3.5.15-1.mga6
+ Revision: 978495
- 3.5.15

* Mon Feb 15 2016 luigiwalser <luigiwalser> 3.5.14-1.mga6
+ Revision: 961604
- 3.5.14

* Thu Jan 07 2016 luigiwalser <luigiwalser> 3.5.13-1.mga6
+ Revision: 920367
- 3.5.13

* Thu Dec 17 2015 bcornec <bcornec> 3.5.12-2.mga6
+ Revision: 911179
- Fix #17298 by adding support of ssl_crtd

* Mon Nov 30 2015 luigiwalser <luigiwalser> 3.5.12-1.mga6
+ Revision: 907238
- 3.5.12

* Mon Nov 02 2015 luigiwalser <luigiwalser> 3.5.11-1.mga6
+ Revision: 897463
- 3.5.11

* Fri Oct 02 2015 luigiwalser <luigiwalser> 3.5.10-1.mga6
+ Revision: 885685
- 3.5.10

* Fri Sep 18 2015 luigiwalser <luigiwalser> 3.5.9-1.mga6
+ Revision: 880335
- 3.5.9

* Wed Sep 02 2015 luigiwalser <luigiwalser> 3.5.8-1.mga6
+ Revision: 872162
- 3.5.8

* Tue Aug 25 2015 cjw <cjw> 3.5.7-2.mga6
+ Revision: 869297
- rebuild with gcc 5

* Mon Aug 03 2015 luigiwalser <luigiwalser> 3.5.7-1.mga6
+ Revision: 860924
- remove upstreamed patch 9
- 3.5.7

* Sat Jul 04 2015 luigiwalser <luigiwalser> 3.5.6-1.mga6
+ Revision: 849846
- 3.5.6

* Wed Jul 01 2015 luigiwalser <luigiwalser> 3.5.5-2.mga6
+ Revision: 849392
- fix upgrade from mga5

* Mon Jun 22 2015 dlucio <dlucio> 3.5.5-1.mga6
+ Revision: 838694
- 3.5.5
- P16 & P18 rediffed
- filelist updated

* Fri May 01 2015 luigiwalser <luigiwalser> 3.4.13-1.mga5
+ Revision: 820966
- 3.4.13 (fixes CVE-2015-3455)

* Wed Feb 18 2015 luigiwalser <luigiwalser> 3.4.12-1.mga5
+ Revision: 815768
- 3.4.12

* Tue Jan 13 2015 luigiwalser <luigiwalser> 3.4.11-1.mga5
+ Revision: 810388
- 3.4.11

* Wed Dec 10 2014 luigiwalser <luigiwalser> 3.4.10-1.mga5
+ Revision: 802598
- 3.4.10
- do not strip fPIC from flags

* Sat Nov 22 2014 cjw <cjw> 3.4.9-3.mga5
+ Revision: 798269
- configure with --disable-arch-native so the package also runs on hardware is not exactly the same as the build machine (fixes #14639)
- patch19: fix a configure error caused by EGREP being used before it was defined
- configure with --enable-shared=no
- drop useless -fPIC from compilation flags

* Fri Nov 21 2014 luigiwalser <luigiwalser> 3.4.9-2.mga5
+ Revision: 798206
- rebuild to hopefully fix illegal instruction error (mga#14639)

* Tue Nov 04 2014 luigiwalser <luigiwalser> 3.4.9-1.mga5
+ Revision: 795514
- 3.4.9
- remove upstreamed patch

* Wed Oct 15 2014 umeabot <umeabot> 3.4.8-2.mga5
+ Revision: 740388
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 luigiwalser <luigiwalser> 3.4.8-1.mga5
+ Revision: 721637
- 3.4.8

* Thu Aug 28 2014 luigiwalser <luigiwalser> 3.4.7-1.mga5
+ Revision: 669018
- 3.4.7

* Thu Jun 26 2014 dlucio <dlucio> 3.4.6-1.mga5
+ Revision: 640113
- Winbind requiered to build helper
- 3.4.6

* Mon May 05 2014 luigiwalser <luigiwalser> 3.4.5-1.mga5
+ Revision: 620303
- 3.4.5

* Sat Apr 26 2014 luigiwalser <luigiwalser> 3.4.4.2-1.mga5
+ Revision: 618324
- 3.4.4.2

* Mon Mar 10 2014 luigiwalser <luigiwalser> 3.4.4-1.mga5
+ Revision: 601741
- 3.4.4

* Tue Mar 04 2014 luigiwalser <luigiwalser> 3.4.3-2.mga5
+ Revision: 599531
- use makeinstall_std macro (mga#12914)
- fix patch 13 to cope with the change

* Fri Feb 21 2014 luigiwalser <luigiwalser> 3.4.3-1.mga5
+ Revision: 595381
- 3.4.3
- remove upstreamed pod2man patch
- eDirectory digest auth helper cannot be built right now

* Thu Dec 05 2013 luigiwalser <luigiwalser> 3.3.11-1.mga4
+ Revision: 555331
- 3.3.11

* Tue Nov 05 2013 luigiwalser <luigiwalser> 3.3.10-1.mga4
+ Revision: 549752
- 3.3.10

* Fri Sep 13 2013 luigiwalser <luigiwalser> 3.3.9-1.mga4
+ Revision: 478615
- 3.3.9

* Tue Aug 27 2013 luigiwalser <luigiwalser> 3.3.8-3.mga4
+ Revision: 472092
- rebuild for cyrus-sasl

* Thu Aug 22 2013 luigiwalser <luigiwalser> 3.3.8-2.mga4
+ Revision: 469820
- work around pod2man bug (mga#10663)

* Mon Jul 15 2013 luigiwalser <luigiwalser> 3.3.8-1.mga4
+ Revision: 454897
- 3.3.8

* Thu Jul 11 2013 luigiwalser <luigiwalser> 3.3.7-1.mga4
+ Revision: 453018
- 3.3.7

* Wed Jul 10 2013 luigiwalser <luigiwalser> 3.3.5-3.mga4
+ Revision: 452432
- do not require ksh for kerberos_ldap_group acl helper cert_tool script

* Sun Jun 30 2013 luigiwalser <luigiwalser> 3.3.5-2.mga4
+ Revision: 448558
- temporarily disable DB auth helper and log daemon as pod2man is broken
- fix selection of auth and acl helpers (mga#10516)

* Fri May 24 2013 dlucio <dlucio> 3.3.5-1.mga4
+ Revision: 426211
- 3.3.5
- P8 & P17 merged
- P19 no needed
- file list update

* Mon Apr 29 2013 dlucio <dlucio> 3.2.10-1.mga3
+ Revision: 411554
- 3.2.10
- P19 added

* Thu Mar 14 2013 luigiwalser <luigiwalser> 3.2.9-1.mga3
+ Revision: 403193
- 3.2.9

* Tue Mar 05 2013 luigiwalser <luigiwalser> 3.2.8-1.mga3
+ Revision: 401415
- 3.2.8

* Thu Feb 14 2013 dlucio <dlucio> 3.2.7-2.mga3
+ Revision: 398300
- P18 to fix purge default paths

* Fri Feb 01 2013 luigiwalser <luigiwalser> 3.2.7-1.mga3
+ Revision: 393931
- 3.2.7

* Thu Jan 10 2013 luigiwalser <luigiwalser> 3.2.6-1.mga3
+ Revision: 344483
- 3.2.6

* Sun Jan 06 2013 cjw <cjw> 3.2.5-2.mga3
+ Revision: 339716
- patch17: fix build with automake 1.13
+ oden <oden>
- fix the apache config

* Tue Dec 18 2012 dlucio <dlucio> 3.2.5-1.mga3
+ Revision: 332665
- 3.2.5

* Fri Dec 07 2012 dlucio <dlucio> 3.2.4-1.mga3
+ Revision: 327751
- 3.2.4

* Sat Oct 27 2012 dlucio <dlucio> 3.2.3-1.mga3
+ Revision: 310607
- 3.2.3

* Fri Oct 19 2012 luigiwalser <luigiwalser> 3.2.2-1.mga3
+ Revision: 308301
- 3.2.2

* Sat Sep 08 2012 luigiwalser <luigiwalser> 3.2.1-1.mga3
+ Revision: 289665
- fix doc files list
- 3.2.1
- sync with mdv, which includes:
  - re-diffed patches
  - upstreamed patches removed
  - updated configure options
  - updated files lists

* Tue Jul 31 2012 fwang <fwang> 3.1.20-3.mga3
+ Revision: 276374
- rebuild for db-5.3

* Fri Jul 20 2012 dlucio <dlucio> 3.1.20-2.mga3
+ Revision: 272760
- rebuild for new db51

* Sun Jul 15 2012 dlucio <dlucio> 3.1.20-1.mga3
+ Revision: 271084
- 3.1.20
- new patches to fix little memory leaks with ecap

* Tue May 08 2012 pterjan <pterjan> 3.1.19-4.mga2
+ Revision: 234914
- Fix initscript's LSB header

* Thu Mar 22 2012 dlucio <dlucio> 3.1.19-3.mga2
+ Revision: 225611
+ rebuild (emptylog)

* Wed Mar 21 2012 dlucio <dlucio> 3.1.19-2.mga2
+ Revision: 225313
- P18 & P19 added, now we have COAP support

* Fri Feb 10 2012 dlucio <dlucio> 3.1.19-1.mga2
+ Revision: 206873
- 3.1.19

* Sat Dec 10 2011 dlucio <dlucio> 3.1.18-1.mga2
+ Revision: 180451
- 3.1.18
  p18 to fix compilling

* Sun Oct 16 2011 dlucio <dlucio> 3.1.16-1.mga2
+ Revision: 155477
- 3.1.16

* Fri Sep 30 2011 dlucio <dlucio> 3.1.15-3.mga2
+ Revision: 150455
- cosmetic message fixed when creating cache structure

* Thu Sep 15 2011 dmorgan <dmorgan> 3.1.15-2.mga2
+ Revision: 144111
- Fix apache requires
+ dlucio <dlucio>
- Spec fixes, squid init fixes
- 3.1.5
- rebuild for new LDAP
- rebuild for new LDAP
- SPEC clean ups
- Trying to make a single RPM compatible with both distros, anyway it helps me to maintain both
- Trying to make a single RPM compatible with both distros, anyway it helps me to maintain both
- 3.1.14
- 3.1.12.2

* Tue Jun 14 2011 dlucio <dlucio> 3.1.12.2-1.mga2
+ Revision: 106204
- 3.1.12.2

* Sun May 15 2011 pterjan <pterjan> 3.1.12-2.mga1
+ Revision: 99033
- Rebuild for fixed find-requires

* Sun May 01 2011 misc <misc> 3.1.12-1.mga1
+ Revision: 94056
- clean file list from comment
- upgrade to 3.1.12, bugfixes only release ( http://www.mail-archive.com/squid-users@squid-cache.org/msg78434.html )
- remove unapplied patches

* Wed Apr 13 2011 tv <tv> 3.1.11-1.mga1
+ Revision: 84624
- use real version in RPM tags

* Mon Mar 07 2011 ennael <ennael> 3.1-26.mga1
+ Revision: 66297
- fix patches in spec file
- clean spec file
+ dlucio <dlucio>
- 3.1.11
- 3.1.11
- imported package squid


* Wed Dec 29 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-24mdv2011.0
+ Revision: 625818
- build against new ecap

* Sun Dec 26 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-23mdv2011.0
+ Revision: 625267
- 3.1.10
  some patches diffed

* Tue Oct 26 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-22mdv2011.0
+ Revision: 589422
- 3.1.9

* Sun Sep 05 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-21mdv2011.0
+ Revision: 576170
- cap-devel need as BR because TPROXY
- 3.1.8

* Sun Sep 05 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-19mdv2011.0
+ Revision: 576158
- 3.1.8

* Tue Aug 24 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-18mdv2011.0
+ Revision: 572941
- 3.1.7
- 3.1.7

* Fri Aug 06 2010 Michael Scherer <misc@mandriva.org> 3.1-17mdv2011.0
+ Revision: 567144
- fix License
- do not let unowned configuration directory

* Thu Aug 05 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-16mdv2011.0
+ Revision: 566464
- P10 rediff
- 3.1.6

* Sat Jul 03 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-15mdv2011.0
+ Revision: 549771
- 3.1.5

* Tue Jun 01 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-14mdv2010.1
+ Revision: 546846
- 3.1.4
  P7 & P16 rediffed

* Fri May 07 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-13mdv2010.1
+ Revision: 543540
- P16 rediff for more cool options

* Wed May 05 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-12mdv2010.1
+ Revision: 542230
- typo

* Tue May 04 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-11mdv2010.1
+ Revision: 542203
- Some cool options to make squid rocks

* Sun May 02 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-10mdv2010.1
+ Revision: 541661
- 3.1.3

* Sat May 01 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-9mdv2010.1
+ Revision: 541454
- 3.1.2
  P16 rediffed
- Dont reload ifup if squid is not running
- icapd as suggest

* Sun Apr 25 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-7mdv2010.1
+ Revision: 538529
- P16 fixin a dbh->disconnect issue

* Fri Apr 23 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-6mdv2010.1
+ Revision: 538071
- P16: we get rid  of lot of warnings

* Thu Apr 22 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-5mdv2010.1
+ Revision: 538045
- typo in P16

* Thu Apr 22 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-4mdv2010.1
+ Revision: 538033
- P16 to add support to auth against joomla db

* Tue Apr 20 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-3mdv2010.1
+ Revision: 537235
- Typo

* Mon Apr 05 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-2mdv2010.1
+ Revision: 531755
- Rebuild for new OpenSSL

* Tue Mar 30 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-1mdv2010.1
+ Revision: 528940
- 3.1.1 stable

* Sat Mar 27 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-0.0.beta18.20100327.9mdv2010.1
+ Revision: 527891
- New snapshot
  Hopefully we have fixed the initrd start failure
  We put now pid file in /var/run as Squid3.1 can modify by configure option its path

* Thu Mar 25 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-0.0.beta18.20100324.8mdv2010.1
+ Revision: 527325
+ rebuild (emptylog)

* Thu Mar 25 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-0.0.beta18.20100324.7mdv2010.1
+ Revision: 527320
- New snapshoot:
  No pinger, as upstream has disable because there are problems
  We put now squid.pid file in place, so init.d service should start now okay

* Mon Mar 22 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-0.0.beta18.20100316.6mdv2010.1
+ Revision: 526606
-D off from squid.init

* Mon Mar 22 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-0.0.beta18.20100316.5mdv2010.1
+ Revision: 526404
- Getting rid of -D complain

* Sun Mar 21 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-0.0.beta18.20100316.4mdv2010.1
+ Revision: 526284
+ rebuild (emptylog)

* Sun Mar 21 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-0.0.beta18.20100316.3mdv2010.1
+ Revision: 525980
- P1 rediff to let squid 3.1 auto-localize feature work

* Sat Mar 20 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-0.0.beta18.20100316.2mdv2010.1
+ Revision: 525374
- Ecap enabled

* Sat Mar 20 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1-0.0.beta18.20100316.1mdv2010.1
+ Revision: 525365
- No ecap by now
- 3.1 beta18 hits!
  P4, not needed anymore, Sq3.1 is awared of new kernel header
  P12, is not needed by now (could be  --disable-strict-error-checkin)
  P15, merged upstream
  New storio-io and disk-io handlers
  SMB auth helper has been renamed to smb_lm
  We need to tell Squid if it uses MIT or Heimdal, MIT by now
  Several files fixes

* Mon Mar 15 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.0-34mdv2010.1
+ Revision: 519942
- New stable 25

* Mon Mar 08 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.0-33mdv2010.1
+ Revision: 516138
- P15 to fix a cosmetic issue with Digest related to nonce, will remove on next stable

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 3.0-32mdv2010.1
+ Revision: 511640
- rebuilt against openssl-0.9.8m

* Wed Feb 24 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.0-31mdv2010.1
+ Revision: 510496
- squid cert for https reverse

* Fri Feb 12 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.0-30mdv2010.1
+ Revision: 504967
- STABLE24, it fix a DoS with HTCP

* Tue Feb 02 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.0-29mdv2010.1
+ Revision: 499738
- P5 dropped, merged upstream
- New 3.0.23

* Mon Feb 01 2010 Oden Eriksson <oeriksson@mandriva.com> 3.0-28mdv2010.1
+ Revision: 499085
- 3.0.STABLE22
- P5: fix build

* Tue Jan 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.0-27mdv2010.1
+ Revision: 493884
- rely on filetrigger for reloading apache configuration begining with 2010.1, rpm-helper macros otherwise

* Tue Jan 19 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.0-26mdv2010.1
+ Revision: 493476
- squid autoreload sintax error, fixed
- squid autoreload sintax error, fixed

* Mon Jan 18 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.0-25mdv2010.1
+ Revision: 493437
- new var in sysconfig

* Mon Jan 18 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.0-24mdv2010.1
+ Revision: 493430
- New S14 to fix #56191

* Thu Dec 24 2009 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.0-23mdv2010.1
+ Revision: 482163
- Stable 21

* Tue Nov 03 2009 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.0-22mdv2010.1
+ Revision: 460411
- P4 rediffed, P14 dropped merged upstream

* Thu Oct 15 2009 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.0-21mdv2010.0
+ Revision: 457479
- 8192 descriptors by default, this will help squid performance in mid-size to huge-size deployments

* Fri Sep 25 2009 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.0-20mdv2010.0
+ Revision: 448587
- SPEC minor change in .patch14
- Redif patch 14, to let it work
- Fix RFC2069 bug
  http://bugs.squid-cache.org/show_bug.cgi?id=2773

* Sat Sep 12 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-19mdv2010.0
+ Revision: 438551
- 3.0.STABLE19

* Wed Aug 05 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-18mdv2010.0
+ Revision: 410317
- 3.0.STABLE18

* Sun Jul 26 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-17mdv2010.0
+ Revision: 400457
- 3.0.STABLE17

* Thu Jun 18 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-16mdv2010.0
+ Revision: 387108
- 3.0.STABLE16
- rediffed one patch
- added a patch from gentoo that makes it build

* Wed May 13 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-15mdv2010.0
+ Revision: 375343
- 3.0.STABLE15

* Sat Apr 11 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-14mdv2009.1
+ Revision: 366234
- 3.0.STABLE14

* Thu Feb 05 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-13mdv2009.1
+ Revision: 337774
- 3.0.STABLE13

* Sat Jan 31 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-12mdv2009.1
+ Revision: 335757
- 3.0.STABLE12

* Tue Jan 13 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-11mdv2009.1
+ Revision: 329210
- 3.0.STABLE11

* Wed Dec 17 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-10mdv2009.1
+ Revision: 315098
- rediffed fuzzy patches

* Mon Oct 27 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-9mdv2009.1
+ Revision: 297562
- 3.0.STABLE10
- rediffed P10

* Wed Sep 24 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-8mdv2009.0
+ Revision: 287774
- 3.0.STABLE9
- rediffed P1,P13

* Mon Aug 11 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-7mdv2009.0
+ Revision: 270890
- 3.0.STABLE8

* Tue Jun 24 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-6mdv2009.0
+ Revision: 228604
- 3.0.STABLE7
- really fix #41121
- revert to the old behaviour
- fix #41121 (squid init script reinitializes alternate format swap_dir's)

* Wed May 28 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-5mdv2009.0
+ Revision: 212752
- disable the cppunit test suite for now, enable it later
- 3.0.STABLE6

* Mon May 12 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-4mdv2009.0
+ Revision: 206214
- rebuild
- 3.0.STABLE5
- drop the squid-xforward_logging patch, it's not maintained
- revert the "conform to the 2008 specs (don't start the services per
  default)" changes and let this be handled some other way...
- enable the test suite (with a conditional twist)

* Fri Apr 18 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-2mdv2009.0
+ Revision: 195627
- 3.0.STABLE4

* Mon Feb 18 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-1mdv2008.1
+ Revision: 171230
- add a virtal provides of webproxy

* Tue Jan 29 2008 Andreas Hasenack <andreas@mandriva.com> 3.0-0.1mdv2008.1
+ Revision: 159758
- add krb5-devel to buildrequires
- from oden: updated to version 3.0.STABLE1

* Wed Jan 23 2008 Thierry Vignaud <tv@mandriva.org> 2.6.STABLE17-4mdv2008.1
+ Revision: 157273
- rebuild with fixed %%serverbuild macro

* Tue Jan 08 2008 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE17-3mdv2008.1
+ Revision: 146558
- fix icap memory leak (#35992)

* Fri Dec 21 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.STABLE17-2mdv2008.1
+ Revision: 136292
- rebuilt against new build deps

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 03 2007 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE17-1mdv2008.1
+ Revision: 114478
- updated to version 2.6.17

* Thu Sep 06 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.STABLE16-1mdv2008.0
+ Revision: 80633
- 2.6.STABLE16
- rediffed P1,P300

* Wed Aug 08 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.STABLE14-1mdv2008.0
+ Revision: 60347
- 2.6.STABLE13
- obey the 2008 specs (don't start it per default)

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE13-3mdv2008.0
+ Revision: 45067
- rebuild with new serverbuild macro (-fstack-protector-all)

* Fri Jun 22 2007 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE13-2mdv2008.0
+ Revision: 43207
- use serverbuild macro

* Mon Jun 04 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.STABLE13-1mdv2008.0
+ Revision: 35116
- 2.6.STABLE13
- rediffed P300

* Mon Jun 04 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.STABLE12-1mdv2008.0
+ Revision: 35052
- 2.6.STABLE12
- new icap patch (P300)
- compile fixes conserning P300 by boklm (P400,P401)
- drop upstream applied patches; P10


* Wed Mar 21 2007 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE7-2mdv2007.1
+ Revision: 147392
- added security patch to fix DoS, taken from Squid
  advisory (http://www.squid-cache.org/Advisories/SQUID-2007_1.txt)

* Tue Jan 16 2007 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE7-1mdv2007.1
+ Revision: 109453
- updated to version 2.6.STABLE7

* Tue Jan 02 2007 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE6-1mdv2007.1
+ Revision: 103347
- updated to version 2.6.STABLE6
- updated icap patch
- updated make patch
- Closes: #27866

* Sat Oct 14 2006 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE1-5mdv2006.0
+ Revision: 64586
- rebuild to fix x86_64 issue (#25731)

* Wed Sep 13 2006 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE1-4mdv2007.0
+ Revision: 61137
- added parallel initscript support
- added patch to fix transparent proxy mode
  (http://www.squid-cache.org/bugs/show_bug.cgi?id=1650). Tested that it works
  (and that it doesn't work without the patch)
- adjusted icap patch so it applies after the above change
- removed version patch, not needed
- bunzipped patches and some sources
- Import squid

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 2.6.STABLE1-3mdv2007.0
- fix pid dir in the initscript

* Tue Jul 25 2006 Oden Eriksson <oeriksson@mandriva.com> 2.6.STABLE1-2mdv2007.0
- fix build on x86_64 (cooker)
- 2.6.STABLE1 (Major feature enhancements)
- rediffed P0,P300
- drop upstream patches
- drop the bundled automake-1.5
- new FAQ in html instead (S2)
- make it build with correct LFS CFLAGS (P302)
- make it start even if hostname is borked (P8)
- added a patch by debian so that backslashes works in passwords (P9)
- fix deps
- fix the initscript so that squid won't start if no 2.6 kernel is used
  because squid now requires epoll support
- fix a msec safe pid dir for squid

* Mon Jul 24 2006 Emmanuel Andry <eandry@mandriva.org> 2.6.STABLE1-1mdv2007.0
- 2.6.STABLE1
- rediff patch0
- drop patches 4,300 (destination file doesn't exist anymore)
- drop patches 5,7,100 (upstream)
- drop source10 (samba 2.x support dropped upstream)

* Sat Jun 17 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE14-3mdv2007.0
- added P7 for squid_nufw_helper support

* Mon Jun 12 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE14-2mdv2007.0
- added one official patch (P100)

* Sun May 28 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE14-1mdk
- 2.5.STABLE14 (Minor bugfixes)

* Thu Mar 16 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE13-1mdk
- 2.5.STABLE13 (Major bugfixes)
- drop upstream implemented official patches
- fix the apache config
- make it backportable for older pam (S12,S13)
- add the Azerbaijani translation

* Thu Jan 12 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE12-1mdk
- 2.5.STABLE12
- rediffed P5,P300
- use current official patches
- make --with-maxfd tunable at build time, defaults to 1024 (thanks buchan milne)

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-11mdk
- rebuilt against openssl-0.9.8a

* Tue Sep 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-10mdk
- nuke zero length files

* Sat Sep 10 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-9mdk
- added more official patches, P116 - P127
- dropped P7, use their patch instead (P120)
- rediffed the ICAP patch (P300)

* Fri Sep 09 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-8mdk
- enable icap support per default

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-7mdk
- rebuilt against new openldap-2.3.6 libs

* Sun Aug 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.5.STABLE10-6mdk
- added P7 to fix a vprintf macro clash (ideas from suse)

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-5mdk
- new official P103
- added more official patches, P110 - P115
- fix deps

* Wed Jun 29 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-4mdk
- rediff the ICAP patch and move it last in line to patch

* Tue Jun 28 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-3mdk
- added seven official patches (P103 - P109)

* Sun Jun 12 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-2mdk
- added --with[out] spec file magic
- use the %%mkrel macro
- bzip sources
- moved the squid cache manager into the common cgi-bin dir and
  added an simple apache config file
- added three official patches (P100, P101, and rediffed P102) from:
  http://www.squid-cache.org/Versions/v2/2.5/bugs/#STABLE10
- added the squid-cachemgr sub package
- spec file massage

* Wed May 25 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-1mdk
- 2.5.STABLE10
- drop 32 patches for 2.5.STABLE9
- rediffed P5
- use private version of automake
- added P7 (icap support)

* Tue Apr 26 2005 Stew Benedict <sbenedict@mandriva.com> 2.5.STABLE9-1mdk
- 2.5.STABLE9
- rediff patches 0,2,5
- remove patches merged upstream (7-16, 100-114)
- add STABLE9 patches from squid site (P100-132)
- http://www.squid-cache.org/Versions/v2/2.5/bugs/#STABLE9

* Thu Apr 07 2005 Daouda LO <daouda@mandrakesoft.com> 2.5.STABLE6-5mdk 
- security fixes (#13976)
 o Wed Feb 23 2005 Vincent Danen <vdanen@mandrakesoft.com> 2.5.STABLE6-2.4.101mdk
   - P16: security update for CAN-2005-0446

 o Tue Feb 08 2005 Vincent Danen <vdanen@mandrakesoft.com> 2.5.STABLE6-2.3.101mdk
   - security update for CAN-2005-0173, CAN-2005-0174, CAN-2005-0175,
    CAN-2005-0211, CAN-2005-0241 (p 11,12,13,14,15)

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.5.STABLE6-4mdk
- rebuild for ldap2.2_7

* Mon Jan 31 2005 Frederic Lepied <flepied@mandrakesoft.com> 2.5.STABLE6-3mdk 
- fixed some rpmlint reports
- parallel build
- fix grep command
- security update for CAN-2005-0094 and CAN-2005-0095
- P7: security fix for CAN-2004-0918

* Sat Oct 09 2004 Vincent Danen <vdanen@mandrakesoft.com> 2.5.STABLE6-2mdk
- P7: security fix for CAN-2004-0832

* Fri Aug 20 2004 Florin <florin@mandrakesoft.com> 2.5.STABLE6-1mdk
- 2.5.STABLE6
- add the corresponding patches

* Mon Jun 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.5.STABLE5-5mdk
- security fix for CAN-2004-0541 (P300) (Vincent Danen)

* Fri Jun 11 2004 Florin <florin@mandrakesoft.com> 2.5.STABLE5-4mdk
- silly, I forgot the --enable-follow-x-forwarded-for option

* Fri Jun 11 2004 Florin <florin@mandrakesoft.com> 2.5.STABLE5-3mdk
- add the abuse, xforward_logging, follow_xff patches

* Wed Apr 21 2004 Florin <florin@mandrakesoft.com> 2.5.STABLE5-2mdk
- back to chkconfig 345 in the initscript (thx To D. Walser's report)

* Tue Apr 20 2004 Florin <florin@mandrakesoft.com> 2.5.STABLE5-1mdk
- 2.5.STABLE5
- add the upstream patches
- add some compilation options
- use some rh work (initscript, sysconfig, two patches)
- remove old useless patches

* Tue Mar 30 2004 Vincent Danen <vdanen@mandrakesoft.com> 2.5.STABLE4-2mdk
- security fix for CAN-2004-0189

